VFLUSH(9)

NAME
vflush - flush vnodes for a mount point

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
int
vflush(struct mount *mp, struct vnode *skipvp, int flags);

DESCRIPTION
The vflush() function removes any vnodes in the vnode table that belong to the given mount structure.

Its arguments are:

mp  The mount point whose vnodes should be removed.

skipvp
    If this is given, the vnode it represents will be skipped.

flags
    The flags indicating how vnodes should be handled.

    FORCECLOSE
        If set, busy vnodes will be forcibly closed.

    SKIPSYSTEM
        If set, vnodes with the VSYSTEM flag set will be skipped.

    WRITECLOSE
        If set, only regular files currently opened for writing will be removed.

RETURN VALUES
A value of 0 is returned if the flush is successful; otherwise, EBUSY will be returned.

SEE ALSO
vgone(9), vgonel(9), vnode(9), vrele(9)

AUTHORS
This man page was originally written by Chad David <davidc@acns.ab.ca> for FreeBSD.